Available in🇮🇳 India
As a Partner, you can use the Sub-Merchant Onboarding APIs to onboard merchants from your platform. The sub-merchants can complete the KYC process in the Partner’s platform itself and need not log in to Razorpay’s platform.
- Razorpay Sub-Merchant Onboarding APIs are RESTful. All our responses are returned in JSON.
- You can use Razorpay APIs in two modes, Test and Live. The API key is different for each mode.
- To complete the onboarding process for the sub-merchant, check the KYC document requirements.
- You can try out our APIs on the Razorpay Postman Public Workspace.
Video Tutorial
Watch this video to know how you can onboard sub-merchants using the Sub-Merchant Onboarding APIs.API Gateway URL
The Razorpay API Gateway URL ishttps://api.razorpay.com/v2. You need to include this before each API endpoint to make API calls.
Handy TipsWhile sending API requests to Razorpay servers, it is recommended to honor the TTL of the entries and not cache the DNS aggressively at your end. This is applicable when you are not using Razorpay SDKs. However, if you are using Razorpay SDKs, be informed that our SDKs can handle DNS caching and honor the TTLs set in the records.
API Authentication
You can use Partners APIs using either Partner Auth or OAuth.Use Partner Auth
Partner Auth usesBasic Auth. Basic auth requires the following:
[YOUR_KEY_ID][YOUR_KEY_SECRET]
Authorization header for each request in the Basic base64token format. Here, base64token is a base64 encoded string of YOUR_KEY_ID:YOUR_KEY_SECRET.
Watch this video to see how to generate the API keys.
Follow these steps to generate API Keys:
- Log in to your Dashboard with appropriate credentials.
- Select the mode (Test or Live) for which you want to generate the API key.
Handy TipsYou have to generate separate Partner Credentials for the test and live modes. No real money is used in test mode.
- Navigate to Settings section to generate the key for the selected mode.
Use OAuth
OAuth usesBearer Auth. Know more about OAuth.
To use OAuth for Partners APIs:
1. Enable cobranded_onboarding
Raise a request with our Support team to get the cobranded_onboarding feature activated on your account. The cobranded_onboarding feature also enables:- Access to sub-merchant account status webhooks.
- Onboarding UI configurator on Partner Dashboard.
2. Generate Access Token
Generate your access token using the below endpoint. You can generate it for test or live mode. Use theclient_id and client_secret of the OAuth application for test and live modes.
POST https://auth.razorpay.com/token“
Request Parameters
Request Parameters
grant_type mandatory
: string Defines the grant type for the request. Possible value is client_credentials.mode optional
: string The type of mode. Possible values:testlive(default)
client_id mandatory
: string Unique client identifier. Use the client_id of the OAuth application.client_secret mandatory
: string Client secret string. Use the client_secret of the OAuth application.Response Parmeters
Response Parmeters
expires_in
: integer Represents the TTL of the access token in seconds. You will have to regenerate the access token after expiry.token_type
: string Defines the type of access token. Possible value is Bearer.public_token
: string A public key is used only for public routes such as Checkout or Payments.razorpay_account_id
: string Razorpay account id for which the access token is generated.access_token
: string A private key used to authenticate for Razorpay APIs.3. Use Access Token to Authenticate
You can use your OAuth access token to authenticate and use Partners APIs. Given below is a sample code for the Fetch an Account API.List of Sub-Merchant Onboarding APIs
You can use the Sub-Merchant Onboarding APIs to perform various actions.Account Activation
- Account Activation Flow
- Account Activation States
Given below is the complete end-to-end flow explaining the transition among statuses:

Product Activation Status and Updates Permitted
For the following APIs, the updates permitted depend on the product activation status:Use Cases to Update a Product Configuration
You can update the following details for Payment Gateway and Payment Links using the Update a Product Configuration API. However, whether the details can be updated or not depends upon the product activation status.-
Settlement Bank Account Details: You can update the
settlementobject with the new bank account details based on the product activation status. -
Request Additional Payment Methods: You can request various payment methods and related instruments to be enabled using the
payment_methodsobject. However, you can request for only one payment method at a time. For example, if you want to enable HDFC Netbanking and Rupay Domestic Card payment methods, you should send two separate API requests. You cannot send a consolidated request using this API. -
Update Notifications Settings: You can update the email, WhatsApp and SMS settings using the
notificationsobject. -
Configure Checkout Features: You can change the checkout theme colour, add a logo and enable the saving of customer card details using the
checkoutobject. -
Configure Refund Speed: You can configure the default refund speed using the
refundobject. - Accept of Terms and Conditions: You can accept Razorpay terms and conditions.
Terms and Conditions Workflow
Given below is the workflow:- As a partner, it is your responsibility to show respective terms and conditions to the sub-merchants before you start onboarding to a product. The APIs used for it will be Fetch Terms and Conditions for a Sub-Merchant.
- You should display these web pages to your sub-merchants on your interface.
- Record the acceptance of terms and transmit that to Razorpay using either Request a Product Configuration API or Update a Product Configuration API.